Subject: bug#67687: Feature request: automatic tags management

From: Dmitry Gutov <[email-masked]>
Date: Sun, 31 Dec 2023 17:25:35 +0200

On 31/12/2023 08:34, Eli Zaretskii wrote:
>> +Note that this feature disables itself if you have already manually
>> +visited a tags table (with @kbd{M-x visit-tags-table}, or through an
>> +explicit prompt triggered by some feature that requires tags).
> This aspect is IMO somewhat problematic.  I wasn't aware of it, and
> now that I read this, I'm not sure it is correct and will meet user
> expectations.

I'm pretty sure you asked for it: that even when this mode is on, it 
shouldn't interfere with completion tables explicitly visited by the user.

And either way it seems like a prerequisite for enabling 
etags-regen-mode by default sometimes in the future. Unless we decide to 
deprecate 'M-x visit-tags-table' at the same time.